package com.owlfish.forestbus;

/**
* ResultInfo encapsulates the detailed result information for calls to Forest Bus RPC services.
*/
public class ResultInfo {
	/**
	* code is zero for success, non-zero for an RPC specific error message.
	*/
	public int code;

	/**
	* description contains an English language description of what the error was.
	*/
	public String description;

	/**
	* extra1 is used in some RPC calls to return additional information about the error.
	*/
	public String extra1;

	public String toString () {
		return "Code " + code + ": " + description + " extra1: " + extra1;
	}
}